Levain LabsLevain Labs
ApiMetrics

Metrics Catalog

List platform apps with their data state and available metrics.

List platform apps with their data state and available metrics.

Apps that are not connected yet are included with connected: false so callers can show which metrics become available after connecting.

GET
/api/v1/metrics

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://api.levainlabs.com/api/v1/metrics"
[
  {
    "provider": "string",
    "display_name": "string",
    "connected": true,
    "data_status": "none",
    "last_synced_at": "string",
    "streams": [],
    "metrics": [
      {
        "key": "string",
        "name": "string",
        "description": "string",
        "format": "currency"
      }
    ]
  }
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}